#
# spec file for package yast2-ldap (Version 2.13.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl cyrus-sasl-devel db dbus-1 dbus-1-glib diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd ldapcpplib ldapcpplib-devel less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings zlib zlib-devel

Name:           yast2-ldap
Version:        2.13.4
Release:        8.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ldap-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  doxygen gcc-c++ ldapcpplib-devel libxcrypt-devel yast2 yast2-core-devel yast2-devtools
Summary:        YaST2 - LDAP Agent
Requires:       ldapcpplib yast2

%description
This agent is used by various YaST2 modules to work with LDAP. It
enables searching the LDAP tree and adding/deleting/modifying items on
an LDAP server.



Authors:
--------
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-ldap-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/modules/*
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_ldap.so.*
%{_libdir}/YaST2/plugin/libpy2ag_ldap.so
%{_libdir}/YaST2/plugin/libpy2ag_ldap.la
%doc %{prefix}/share/doc/packages/yast2-ldap

%changelog -n yast2-ldap
* Fri Mar 31 2006 - jsuchome@suse.cz
- constructor of LDAPConnection object may throw an exception (#159741)
- 2.13.4
* Thu Mar 09 2006 - jsuchome@suse.cz
- BuildRequires: added missing yast2
- 2.13.3
* Mon Feb 06 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.2
* Tue Nov 22 2005 - jsuchome@suse.cz
- adapted .users and .groups calls to to index maps names
  ("uid"/"cn" attributes)
- added .users_by_uidnumber and .groups.by_gidnumber paths
- 2.13.1
* Fri Oct 21 2005 - jsuchome@suse.cz
- fixed failing builds, added some comments to functions
- 2.13.0
* Wed Aug 10 2005 - jsuchome@suse.cz
- use warnings, not errors for referral exceptions
- 2.12.2
* Thu Apr 21 2005 - jsuchome@suse.cz
- adapted for new interface of new start_tls function (#55844)
- 2.12.1
* Tue Mar 15 2005 - jsuchome@suse.cz
- do not call methods from deleted object (#72190)
- 2.12.0
* Mon Aug 09 2004 - jsuchome@suse.cz
- LdapServerAccess.pm: function for adding indices and Samba ACL hack
- 2.10.4
* Thu Aug 05 2004 - jsuchome@suse.cz
- updated to handle the split of ldapcpplib library
- 2.10.3
* Thu Jul 29 2004 - jsuchome@suse.cz
- added LdapServerAccess.pm to provide access to LDAP server module
- yast2 is required
- 2.10.2
* Wed Jul 14 2004 - jsuchome@suse.cz
- correctly initialize global values in constructor
- read binary values also for users/groups
- 2.10.1
* Fri Jun 11 2004 - jsuchome@suse.cz
- implemented Execute (.ldap.ping) call (#41354)
- 2.10.0
* Mon May 17 2004 - jsuchome@suse.cz
- enhanced error logging
- 2.9.15
* Wed May 12 2004 - jsuchome@suse.cz
- fix of 'rdn' generating during rename (#40420)
- 2.9.14
* Wed May 05 2004 - jsuchome@suse.cz
- do not return error, when no user was found
- 2.9.13
* Thu Apr 22 2004 - jsuchome@suse.cz
- 2.9.12
* Wed Apr 21 2004 - jsuchome@suse.cz
- enable recursive delete (#39185) and rename (#39193)
* Mon Apr 19 2004 - jsuchome@suse.cz
- on error, return also additional message produced by server (#38668)
* Tue Apr 13 2004 - jsuchome@suse.cz
- "include_dn" option: DN could be included in a map of each entry
  found by search call (#38821)
- 2.9.11
* Thu Apr 08 2004 - jsuchome@suse.cz
- "use_tls" could be passed in initialization call
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.10
* Tue Mar 30 2004 - jsuchome@suse.cz
- enable TLS support (#37393)
- 2.9.9
* Mon Mar 29 2004 - jsuchome@suse.cz
- more on binary values: enable multi valued attributes
  (-> List of Byteblocks)
- 2.9.8
* Thu Mar 25 2004 - jsuchome@suse.cz
- fixed adding new entry containing attribute with binary value
- 2.9.7
* Mon Mar 22 2004 - jsuchome@suse.cz
- return lowercase attribute names
- inital support for binary values
- 2.9.6
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Mon Mar 15 2004 - jsuchome@suse.cz
- do not change LDAP keys for yast2-users usage
  ("uid" for users and "cn" for groups)
- 2.9.5
* Fri Mar 12 2004 - jsuchome@suse.cz
- do not ignore userPassword value
* Wed Mar 03 2004 - jsuchome@suse.cz
- configurable member attribute of LDAP groups
- 2.9.4
* Wed Feb 25 2004 - jsuchome@suse.cz
- convert string-type values to integers if possible
* Wed Feb 11 2004 - jsuchome@suse.cz
- attributes "uid" (for users) and "cn" (for groups) allowed only
  with single value
- change in the rename process: first rename, then change the attributes
- 2.9.3
* Tue Feb 10 2004 - jsuchome@suse.cz
- check for integer values and convert then to string
* Tue Feb 03 2004 - jsuchome@suse.cz
- updated for new Users module
- change of some structures: use map instead of lists (better search)
- 2.9.2
* Tue Nov 18 2003 - jsuchome@suse.cz
- 2.9.1
* Tue Nov 18 2003 - jsuchome@suse.cz
- migrated to doxygen
* Fri Oct 03 2003 - jsuchome@suse.cz
- attribute 'cn' not returned as 'fullname' any more (but as 'cn')
- 2.9.0
* Tue Sep 02 2003 - jsuchome@suse.cz
- do not read value of userPassword attribute (for yast2-users module)
* Mon Sep 01 2003 - jsuchome@suse.cz
- added test for object class existence
- 2.8.3
* Tue Aug 12 2003 - jsuchome@suse.de
- updated agent documentation
- 2.8.2
* Fri Jul 11 2003 - jsuchome@suse.de
- groups are now groupOfUniqueNames
* Wed Jul 02 2003 - jsuchome@suse.de
- schema support (reading, queries)
- 2.8.1
* Wed May 28 2003 - jsuchome@suse.cz
- Initial version
- Enables generic search/add/modify/delete calls
- Special calls used by yast2-users module
